
QGIS Application - Bug report #11638

Atlas export filename affected by slash in feature attribute

2014-11-13 08:54 AM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19891

Description

When exporting Atlas features, if an attribute field used to name the output file has a slash in it, the export fails. It appears the export tool

interprets the slash in the attribute data as a directory name. When it can't find the directory, it errors out.

Steps to reproduce:

1 - Create a set of features for Atlas generation

2 - Set the export file name to be based on one of the attribute fields

3 - Ensure that one of the features includes a slash (/) in the attribute data

4 - Export

Expected behavior:

Either the exporter should automatically substitute the slash with another character (e.g. '-' or a space), or the user should be presented

with a choice of substitute characters. At a minimum, a warning should alert the user that the export may be affected.

Current workaround:

Use the replace() string function to define a custom replacement in the output filename. (e.g. replace("name",'/','-'))

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
